stages:
  - build
  - test

build laptop:
  image: alpine
  stage: build
  script: 
    - echo "building a laptop"
    - mkdir build
    - touch build/computer.txt
    - echo "Mainboard" >> build/computer.txt
    - cat build/computer.txt
    - echo "key board" >> build/computer.txt
  artifacts:
    paths:
      - build
test laptop:
  image: alpine
  stage: test
  script:
    - test -f build/computer.txt
    - grep "Mainboard" build/computer.txt
    - grep "key" build/computer.txt
